Packages - Bug #3394

Freedom Issue # 1167 (confirmed): [chromium][electron][gt5-webengine][gt6-webengine] QTWebgine/Electron embeds "entire Chromium platform”
kimagemapeditor: cannot be installed

2022-12-15 07:41 PM - maddox

Status: fixed % Done: 0%
Priority: bug

Assignee: bill-auger

Category:

Description

resolving dependencies...

warning: cannot resolve "qt5-webengine", a dependency of "kimagemapeditor"

:: The following package cannot be upgraded due to unresolvable dependencies:
kimagemapeditor

:: Do you want to skip the above package for this upgrade? [y/N] y
looking for conflicting packages...
there is nothing to do

History

#1 - 2022-12-17 10:48 AM - anonymous

Hello.

Detailed information about the package can be found in the package section

For package "kimagemapeditor" is https://www.parabola.nu/packages/extra/x86_64/kimagemapeditor/
In Dependencies section you can see that package "qt5-webengine" is a virtual package.

https://wiki.archlinux.org/title/pacman A virtual package is a special package which does not exist by itself, but is provided by one or more other
packages. Virtual packages allow other packages to not name a specific package as a dependency, in case there are several candidates. Virtual
packages cannot be installed by their name, instead they become installed in your system when you have installed a package providing the
virtual package.

To install a virtual package, indicate needed parameter when installing the main package:

$ pacman -S <package> —--assume-installed <virtual-package>
$ pacman -S kimagemapeditor —--assume-installed gt5-webengine

$ pacman -S —-help
——assume-installed <package=version>
add a virtual package to satisfy dependencies

#2 - 2022-12-19 11:36 PM - bill-auger
- Parent task set to #1167

- Status changed from unconfirmed to confirmed

#3 - 2024-03-14 05:55 AM - bill-auger
- Assignee set to bill-auger

- Status changed from confirmed to fixed
